=== apache2/mlogc-src/Makefile ===
# Generated Makefile for ModSecurity Log Collector (mlogc)

CC = gcc
EXTRA_CFLAGS = -O2 -g -Wall 

srcdir = .
modsecsrcdir = $(srcdir)/..
srclibdir = $(srcdir)/srclib

MLOGC_VERSION = `grep '^\#define *VERSION ' mlogc.c | sed 's/.*VERSION *"\([^"]*\)"/\1/'`

APR_FLAGS =  -I/usr/include/apr-1.0  -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -pthread
APR_LIBS =  -L/usr/lib -lapr-1  

CURL_FLAGS = 
CURL_LIBS = -lcurl

PCRE_FLAGS = 
PCRE_LIBS = -L/usr/lib -lpcre

APR_S_FLAGS = `$(srclibdir)/install/apr/bin/apr-1-config --includes --cppflags --cflags`
APR_S_LIBS = `$(srclibdir)/install/apr/bin/apr-1-config --link-ld`

CURL_S_FLAGS = `$(srclibdir)/install/curl/bin/curl-config --cflags`
CURL_S_LIBS = `$(srclibdir)/install/curl/bin/curl-config --libs`

PCRE_S_FLAGS = `$(srclibdir)/install/pcre/bin/pcre-config --cflags`
PCRE_S_LIBS = `$(srclibdir)/install/pcre/bin/pcre-config --libs`

all: mlogc

mlogc: mlogc.c
	@echo; \
	echo "Building dynamically linked mlogc..."; \
	$(CC) $(CFLAGS) -o mlogc mlogc.c \
	-I$(modsecsrcdir) \
	$(APR_FLAGS) $(CURL_FLAGS) $(PCRE_FLAGS) \
	$(APR_LIBS) $(CURL_LIBS) $(PCRE_LIBS); \
	chmod 755 mlogc; \
	echo; \
	echo "Build finished.  Please follow the INSTALL instructions to complete the install."; \
	echo

.archives-ok:
	@if [ -n "$(MLOGC_NOVERIFY)" -a "$(MLOGC_NOVERIFY)" = "1" ]; then \
		touch .archives-ok; \
	else \
		$(srclibdir)/archives.sh && touch .archives-ok; \
	fi

.support-libs-ok:
	$(srclibdir)/build.sh && touch .support-libs-ok

archives: .archives-ok

support-libs: .support-libs-ok

clean-build:
	@rm -rf $(srclibdir)/build

clean-install:
	@rm -rf $(srclibdir)/install

clean-mlogc:
	@rm -rf core mlogc *~ *.o *.so *.lo *.la *.slo

distclean: clean

clean: clean-build clean-install clean-mlogc
