=== debian/control ===
Source: modsecurity-apache
Section: httpd
Priority: optional
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: debhelper (>> 7.0.0), apache2-threaded-dev|apache2-prefork-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
Standards-Version: 3.9.1
Homepage: http://www.modsecurity.org/

Package: libapache2-modsecurity
Architecture: any
Replaces: libapache-mod-security (<< 2.5.13-1), mod-security-common (<< 2.5.13-1)
Conflicts: libapache-mod-security (<< 2.5.13-1), mod-security-common (<< 2.5.13-1)
Recommends: modsecurity-crs
Depends: apache2.2-common, libxml2, ${shlibs:Depends}, ${misc:Depends}
Description: Tighten web applications security for Apache
 Modsecurity is an Apache module whose purpose is to tighten the Web
 application security. Effectively, it is an intrusion detection and prevention
 system for the web server. 
 .
 At the moment its main features are:
   * Audit log; store full request details in a separate file, including POST 
     payloads.
   * Request filtering; incoming requests can be analysed and offensive requests
     can be rejected (or simply logged, if that is what you want). This feature 
     can be used to prevent many types of attacks (e.g. XSS attacks, SQL 
     injection, ...) and even allow you to run insecure applications on your 
     servers (if you have no other choice, of course).
 .
 In addition to this package the modsecurity-common package, which includes 
 documentation and configuration examples, will be installed.

Package: libapache-mod-security
Architecture: all
Section: oldlibs
Depends: libapache2-modsecurity, ${misc:Depends}
Description: Dummy transitional package
 This package is provided to ease the updating of modsecurity to the new 
 package name. You may safely remove it.

# Package: modsecurity-mlogc
# Architecture: any
# Depends: libapache2-modsecurity (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
# Description: ModSecurity audit log collector
#  Mlogc is used to connect a ModSecurity sensor to the central
#  audit log repository.
