=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd apache2 && ./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	cd apache2 && $(MAKE)
	#TODO#cd apache2/mlogc-src && $(MAKE)
	# since we cannot rename with dh_install, create a copy of the file with the desired name
	#TODO#cp apache2/mlogc-src/INSTALL apache2/mlogc-src/README.mlogc
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	cd apache2 && [ ! -f Makefile ] || $(MAKE) clean
	#TODO#cd apache2/mlogc-src && [ ! -f Makefile ] || $(MAKE) clean
	#TODO#rm -f apache2/mlogc-src/README.mlogc
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -Xexample
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
#	dh_installexamples -a
	cp modsecurity.conf-minimal debian/libapache2-modsecurity/etc/modsecurity
#	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
#	dh_installcron -a
#	dh_installman -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs CHANGES -a
	dh_link -a
	dh_strip -a
	# don't compress examples
	dh_compress -a -Xexample
	dh_fixperms -a
	chown www-data debian/libapache2-modsecurity/var/cache/modsecurity
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure
