## modsecurity-apache 2.6.2

=== debian/changelog ===
modsecurity-apache (2.6.2-1) unstable; urgency=low

  * New upstream release (Closes: #634844)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 02 Oct 2011 11:34:03 +0200
