=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	cd apache2 && ./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1
+	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1
 	touch configure-stamp
 
 build: configure-stamp build-stamp
@@ -24,7 +24,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	cd apache2 && [ ! -f Makefile ] || $(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	#TODO#cd apache2/mlogc-src && [ ! -f Makefile ] || $(MAKE) clean
 	#TODO#rm -f apache2/mlogc-src/README.mlogc
 	dh_clean
@@ -56,7 +56,7 @@
 #	dh_installdebconf -a
 	dh_installdocs -a
 #	dh_installexamples -a
-	cp modsecurity.conf-minimal debian/libapache2-modsecurity/etc/modsecurity
+	cp modsecurity.conf-recommended debian/libapache2-modsecurity/etc/modsecurity
 #	dh_installmenu -a
 #	dh_installlogrotate -a
 #	dh_installemacsen -a
