=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,9 @@
 build-stamp:
 	dh_testdir
 	cd apache2 && $(MAKE)
-	#TODO#cd apache2/mlogc-src && $(MAKE)
+	cd mlogc && $(MAKE)
 	# since we cannot rename with dh_install, create a copy of the file with the desired name
-	#TODO#cp apache2/mlogc-src/INSTALL apache2/mlogc-src/README.mlogc
+	cp mlogc/INSTALL mlogc/README.mlogc
 	touch build-stamp
 
 clean:
@@ -25,8 +25,8 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
-	#TODO#cd apache2/mlogc-src && [ ! -f Makefile ] || $(MAKE) clean
-	#TODO#rm -f apache2/mlogc-src/README.mlogc
+	cd mlogc && [ ! -f Makefile ] || $(MAKE) clean
+	rm -f mlogc/README.mlogc
 	dh_clean
 
 install: build
