## modsecurity-apache 2.6.4

=== debian/changelog ===
modsecurity-apache (2.6.4-1) unstable; urgency=low

  * New upstream release
  * Apply patch by Peter Michael Green to fix FTBFS on non-linux
    kernels. (Closes: #631649, #654719)
  * Added doc-base entry
  * Set Priority to extra for transitional libapache-mod-security

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 16 Mar 2012 13:26:32 +0100
