=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	cd mlogc && [ ! -f Makefile ] || $(MAKE) clean
 	rm -f mlogc/README.mlogc
 	dh_clean
+	rm -f config.log
 
 install: build
 	dh_testdir
