=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: modsecurity-apache
 Section: httpd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
+Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>> 7.0.0), apache2-threaded-dev|apache2-prefork-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
 Standards-Version: 3.9.2
 Homepage: http://www.modsecurity.org/
@@ -26,12 +25,10 @@
      can be used to prevent many types of attacks (e.g. XSS attacks, SQL 
      injection, ...) and even allow you to run insecure applications on your 
      servers (if you have no other choice, of course).
- .
- In addition to this package the modsecurity-common package, which includes 
- documentation and configuration examples, will be installed.
 
 Package: libapache-mod-security
 Architecture: all
+Priority: extra
 Section: oldlibs
 Depends: libapache2-modsecurity, ${misc:Depends}
 Description: Dummy transitional package
