## modsecurity-apache 2.6.6

=== debian/changelog ===
modsecurity-apache (2.6.6-8) unstable; urgency=low

  * Upload to unstable.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 28 May 2013 18:20:39 +0200

modsecurity-apache (2.6.6-7) experimental; urgency=low

  [Arno Töll]
  * Add support for Apache 2.4 using the patch provided by Ondřej Surý
    (Closes: #666848)
  * Move apache2 configuration files to their canonical name:
    - mod-security.load -> security2.load
    - mod-security.conf -> security2.conf
    Thus, also slightly raise the debhelper build dependency to 8.1.
  * Update security2.conf for changes in Apache 2.4

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 23 May 2013 13:38:35 +0200

modsecurity-apache (2.6.6-6) unstable; urgency=high

  * Applied upstream patch to fix XXE attacks. CVE-2013-1915
    Thanks Thomas Goirand for backporting the patch.
    (Closes: #704625)
    Adds new SecXmlExternalEntity option which by default (Off) disables
    the external entity load task executed by libxml2.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 06 Apr 2013 11:09:12 +0200

modsecurity-apache (2.6.6-5) unstable; urgency=high

  * Applied upstream patch to fix multipart/invalid part
    ruleset bypass. CVE-2012-4528. (Closes: #691146)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 22 Oct 2012 16:23:19 +0200

modsecurity-apache (2.6.6-4) unstable; urgency=low

  * Fix dangling symlink to /usr/share/doc/mod-security-common.
    (Closes: #687866)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 01 Oct 2012 18:05:09 +0200

modsecurity-apache (2.6.6-3) unstable; urgency=low

  * Relicense debian/* files to ASLv2 to avoid conflicts with upstream
    license.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 12 Jul 2012 13:05:20 +0200

modsecurity-apache (2.6.6-2) unstable; urgency=low

  * Updated debian/copyright with right license.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 02 Jul 2012 17:23:08 +0200

modsecurity-apache (2.6.6-1) unstable; urgency=low

  * New upstream release.
  * Remove patches/fix_non_linux.patch. Applied upstream.
  * debian/rules: cleanup.
  * Add hardening flags to build process.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 15 Jun 2012 12:34:20 +0200
