=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: httpd
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>> 7.0.0), apache2-threaded-dev|apache2-prefork-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 8.1.0~), apache2-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
+Standards-Version: 3.9.3
 Homepage: http://www.modsecurity.org/
 
 Package: libapache2-modsecurity
@@ -11,7 +11,7 @@
 Replaces: libapache-mod-security (<< 2.5.13-1), mod-security-common (<< 2.5.13-1)
 Conflicts: libapache-mod-security (<< 2.5.13-1), mod-security-common (<< 2.5.13-1)
 Recommends: modsecurity-crs
-Depends: apache2.2-common, libxml2, ${shlibs:Depends}, ${misc:Depends}
+Depends: libxml2, ${shlibs:Depends}, ${misc:Depends}
 Description: Tighten web applications security for Apache
  Modsecurity is an Apache module whose purpose is to tighten the Web
  application security. Effectively, it is an intrusion detection and prevention
@@ -35,10 +35,3 @@
  This package is provided to ease the updating of modsecurity to the new 
  package name. You may safely remove it.
 
-# Package: modsecurity-mlogc
-# Architecture: any
-# Depends: libapache2-modsecurity (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
-# Description: ModSecurity audit log collector
-#  Mlogc is used to connect a ModSecurity sensor to the central
-#  audit log repository.
-
