=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,17 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-configure: configure-stamp
-configure-stamp:
-	dh_testdir
-	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1
-	touch configure-stamp
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
-build: configure-stamp build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep:
+# Nothing to do here
 build-stamp:
 	dh_testdir
+	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1 CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'
 	cd apache2 && $(MAKE)
 	cd mlogc && $(MAKE)
 	# since we cannot rename with dh_install, create a copy of the file with the desired name
@@ -23,7 +25,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	cd mlogc && [ ! -f Makefile ] || $(MAKE) clean
 	rm -f mlogc/README.mlogc
@@ -36,6 +38,7 @@
 	dh_prep
 	dh_installdirs
 	dh_install
+	dh_apache2
 
 binary-indep: build install
 	dh_testdir -i
@@ -84,4 +87,4 @@
 	dh_builddeb -a
 
 binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install build-arch build-indep
