## modsecurity-apache 2.7.4

=== debian/changelog ===
modsecurity-apache (2.7.4-1) unstable; urgency=low

  * New upstream version.
  * Remove doc-base since doc files were removed upstream.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 01 Jul 2013 17:14:29 +0200

modsecurity-apache (2.6.6-9) unstable; urgency=high

  * Applied upstream patch to fix NULL pointer dereference.
    CVE-2013-2765. (Closes: #710217)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 04 Jun 2013 09:34:41 +0200
