=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 build-stamp:
 	dh_testdir
 	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1 CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'
+	# remove rpath
+	sed -i -r 's/(hardcode_into_libs)=.*/\1=no/' $(CURDIR)/libtool
 	cd apache2 && $(MAKE)
 	cd mlogc && $(MAKE)
 	# since we cannot rename with dh_install, create a copy of the file with the desired name
