## modsecurity-apache 2.7.5

=== debian/changelog ===
modsecurity-apache (2.7.5-1) unstable; urgency=low

  * New upstream version

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 11 Oct 2013 11:24:43 +0200
