## modsecurity-apache 2.7.7

=== debian/changelog ===
modsecurity-apache (2.7.7-1) unstable; urgency=low

  * New upstream version
  * Bumped Standards-Version to 3.9.5
  * Renamed binary package so that it follows naming standards

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 19 Dec 2013 17:09:28 +0100
