=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>> 8.1.0~), apache2-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.modsecurity.org/
 
-Package: libapache2-modsecurity
+Package: libapache2-mod-security2
 Architecture: any
-Replaces: libapache-mod-security (<< 2.5.13-1), mod-security-common (<< 2.5.13-1)
-Conflicts: libapache-mod-security (<< 2.5.13-1), mod-security-common (<< 2.5.13-1)
+Replaces: libapache2-modsecurity (<< 2.7.7-1~)
+Breaks: libapache2-modsecurity (<< 2.7.7-1~)
 Recommends: modsecurity-crs
 Depends: libxml2, ${shlibs:Depends}, ${misc:Depends}
 Description: Tighten web applications security for Apache
@@ -26,11 +26,11 @@
      injection, ...) and even allow you to run insecure applications on your 
      servers (if you have no other choice, of course).
 
-Package: libapache-mod-security
+Package: libapache2-modsecurity
 Architecture: all
 Priority: extra
 Section: oldlibs
-Depends: libapache2-modsecurity, ${misc:Depends}
+Depends: libapache2-mod-security2, ${misc:Depends}
 Description: Dummy transitional package
  This package is provided to ease the updating of modsecurity to the new 
  package name. You may safely remove it.
