=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 #	dh_installdebconf -a
 	dh_installdocs -a
 #	dh_installexamples -a
-	cp modsecurity.conf-recommended debian/libapache2-modsecurity/etc/modsecurity
+	cp modsecurity.conf-recommended debian/libapache2-mod-security2/etc/modsecurity
 #	dh_installmenu -a
 #	dh_installlogrotate -a
 #	dh_installemacsen -a
@@ -79,7 +79,7 @@
 	# don't compress examples
 	dh_compress -a -Xexample
 	dh_fixperms -a
-	chown www-data debian/libapache2-modsecurity/var/cache/modsecurity
+	chown www-data debian/libapache2-mod-security2/var/cache/modsecurity
 #	dh_makeshlibs -a
 	dh_installdeb -a
 #	dh_perl -a
