## modsecurity-apache 2.8.0

=== debian/changelog ===
modsecurity-apache (2.8.0-2~bpo70+1) wheezy-backports; urgency=low

  * Backport to Wheezy (Closes: #705252)
  * debian/control: Change apache2-dev to 
    apache2-prefork-dev|apache2-threaded-dev, since they don't provide 
    apache2-dev virtual package in Wheezy.
  * debian/rules: remove dh_apache2. Not present in Wheezy.
  * libapache2-mod-security2.install: Add tasks (files) done in dh_apache2
  * Restore libapache2-mod-security2.(prerm|postinst) done in dh_apache2
  * security.conf: Use Include intead of IncludeOptional

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 13 Oct 2014 17:23:31 +0000

modsecurity-apache (2.8.0-2) unstable; urgency=medium

  * Move libapache2-mod-security2.maintscript to
    libapache2-modsecurity.maintscript, since the previous conffiles
    were in the latter.
  * libapache2-modsecurity. Remove dangling symlinks in mods-enabled on
    upgrades.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 03 Oct 2014 11:44:24 +0200

modsecurity-apache (2.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 21 Apr 2014 18:35:38 +0200

modsecurity-apache (2.7.7-2) unstable; urgency=medium

  * Use dh-autoreconf to fix FTBFS on ppc64el. (Closes: #734573)
    Thanks Logan Rosen for the patch.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 15 Jan 2014 10:18:58 +0100

modsecurity-apache (2.6.6-6+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-5705.patch patch.
    CVE-2013-5705: bypass of intended rules via chunked requests.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 25 Jul 2014 22:23:06 +0200

modsecurity-apache (2.6.6-6+deb7u1) wheezy; urgency=low

  * Applied upstream patch to fix NULL pointer dereference.
    CVE-2013-2765. (Closes: #710217)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 29 May 2013 09:40:00 +0000
