=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: httpd
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>> 8.1.0~), apache2-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
+Build-Depends: debhelper (>> 8.1.0~), apache2-prefork-dev|apache2-threaded-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev, dh-autoreconf
 Standards-Version: 3.9.5
 Homepage: http://www.modsecurity.org/
 
@@ -11,6 +11,7 @@
 Replaces: libapache2-modsecurity (<< 2.7.7-1~)
 Breaks: libapache2-modsecurity (<< 2.7.7-1~)
 Recommends: modsecurity-crs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libxml2, ${shlibs:Depends}, ${misc:Depends}
 Description: Tighten web applications security for Apache
  Modsecurity is an Apache module whose purpose is to tighten the Web
