=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 # Nothing to do here
 build-stamp:
 	dh_testdir
+	dh_autoreconf
 	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1 CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'
 	# remove rpath
 	sed -i -r 's/(hardcode_into_libs)=.*/\1=no/' $(CURDIR)/libtool
@@ -31,6 +32,7 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 	cd mlogc && [ ! -f Makefile ] || $(MAKE) clean
 	rm -f mlogc/README.mlogc
+	dh_autoreconf_clean
 	dh_clean
 	rm -f config.log
 
@@ -40,7 +42,6 @@
 	dh_prep
 	dh_installdirs
 	dh_install
-	dh_apache2
 
 binary-indep: build install
 	dh_testdir -i
