## modsecurity-apache 2.9.0

=== debian/changelog ===
modsecurity-apache (2.9.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #790116)
  * Removed mlogc_TLS1.2.patch, not needed anymore.
  * Remove old (no longer applied) patches from debian/patches

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 07 Jul 2015 12:26:36 +0200

modsecurity-apache (2.8.0-4) unstable; urgency=medium

  * Apply upstream patch to make mlogc use TLS 1.2 instead of SSL v3.
  * Add support for JSON. (Closes: #765605)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 04 Nov 2014 12:54:04 +0100

modsecurity-apache (2.8.0-3) unstable; urgency=medium

  * Add explicit Build-Dep on libpcre3-dev since libaprutil1-dev no longer
    does. (Closes: #765122)
  * Add pkg-config to Build-Dep so that lua support is picked up correctly.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 13 Oct 2014 20:19:23 +0200
