## modsecurity-apache 2.9.1

=== debian/changelog ===
modsecurity-apache (2.9.1-3) unstable; urgency=medium

  * Apply upstream (#1216) patch to fix errors on logging.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 29 Jun 2017 11:19:57 +0200

modsecurity-apache (2.9.1-2) unstable; urgency=medium

  * security2.load: Remove no longer needed load of libxml2.so.2
  * improve_defaults.patch: Increase PCRE limits, reorder SecAuditLogParts
    Thanks Christian Folini for the suggestions!
  * Add IncludeOptional directive for modsecurity-crs package.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 20 Dec 2016 17:14:15 +0100

modsecurity-apache (2.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 19 Sep 2016 19:04:01 +0200
