## modsecurity-apache 2.9.2

=== debian/changelog ===
modsecurity-apache (2.9.2-1) unstable; urgency=medium

  * New upstream release. Remove logging patch.
  * Removed no longer needed libapache2-modsecurity transitional package.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 11 Oct 2017 12:53:50 +0200
