=== debian/control ===
--- 
+++ 
@@ -8,8 +8,6 @@
 
 Package: libapache2-mod-security2
 Architecture: any
-Replaces: libapache2-modsecurity (<< 2.7.7-1~)
-Breaks: libapache2-modsecurity (<< 2.7.7-1~)
 Recommends: modsecurity-crs
 Depends: libxml2, ${shlibs:Depends}, ${misc:Depends}
 Description: Tighten web applications security for Apache
@@ -26,12 +24,3 @@
      injection, ...) and even allow you to run insecure applications on your 
      servers (if you have no other choice, of course).
 
-Package: libapache2-modsecurity
-Architecture: all
-Priority: extra
-Section: oldlibs
-Depends: libapache2-mod-security2, ${misc:Depends}
-Description: Dummy transitional package
- This package is provided to ease the updating of modsecurity to the new 
- package name. You may safely remove it.
-
