=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	dh_prep
 	dh_installdirs
 	dh_install
+	dh_apache2
 
 binary-indep: build install
 	dh_testdir -i
