## modsecurity-apache 2.9.3

=== debian/changelog ===
modsecurity-apache (2.9.3-3) unstable; urgency=medium

  * Add upstream patch to fix Segfault when using SecRemoteRules.
    (Closes: #970833)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 10 Dec 2020 19:14:15 +0100

modsecurity-apache (2.9.3-2) unstable; urgency=medium

  * Added `--enable-pcre-jit` option to configure script

 -- Ervin Hegedus <airween@gmail.com>  Sun, 17 May 2020 19:47:56 +0000

modsecurity-apache (2.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Bumped to debhelper compatibility level 11, removed build-dep on
    dh-autoreconf.
  * Bumped Standards-Version to 4.2.1

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 10 Dec 2018 20:21:48 +0100

modsecurity-apache (2.9.2-2) unstable; urgency=medium

  * Change CRS IncludeOptional to wildcard to get the desired behaviour (not
    failing when CRS not present). Thanks Walter Kleynscheldt for pointing
    this out. (Closes: #874542)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 17 Sep 2018 09:11:12 +0200
