=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 build-stamp:
 	dh_testdir
 	dh_autoreconf
-	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1 CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'
+	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1 --enable-pcre-study --enable-pcre-jit CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'
 	# remove rpath
 	sed -i -r 's/(hardcode_into_libs)=.*/\1=no/' $(CURDIR)/libtool
 	cd apache2 && $(MAKE)
