## modsecurity-apache 2.9.5

=== debian/changelog ===
modsecurity-apache (2.9.5-1ubuntu0.1~esm2) jammy-security; urgency=medium

  * SECURITY UPDATE: denial of service
    - debian/patches/CVE-2025-47947.patch: only sanitize arguments if they
      have not been sanitized before
    - debian/patches/CVE-2025-48866.patch: only sanitize arguments only if
      they have not been sanitized before
    - CVE-2025-47947
    - CVE-2025-48866

 -- Shishir Subedi <shishir.subedi@canonical.com>  Tue, 10 Jun 2025 12:34:47 +0545

modsecurity-apache (2.9.5-1ubuntu0.1~esm1) jammy-security; urgency=medium

  * SECURITY UPDATE: firewall failure
    - debian/patches/CVE-2022-48279.patch: fixed HTTP multipart parsing
      and added and new MULTIPART_PART_HEADERS collection.
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-24021.patch: fixed incomplete content in
      FILES_TMP_CONTENT.

 -- Allen Huang <allen.huang@canonical.com>  Wed, 13 Sep 2023 12:06:22 +0100

modsecurity-apache (2.9.5-1) unstable; urgency=medium

  [ Ervin Hegedüs ]
  * New upstream version 2.9.5
  * Fixes CVE-2021-2021-42727
  * Removed d/patches/970833_fix.patch; upstream contains it
  * Added Ervin Hegedus <airween@gmail.com> to Uploaders in d/control
  * Changed Homepage field in d/changelog
  * Added Vcs-Browser to d/changelog
  * Bump Standards-Versio to 4.6.0
  * Bump compat to 13
  * Aligned d/watch - old URI is no longer available

 -- Ervin Hegedus <airween@gmail.com>  Tue, 23 Nov 2021 13:25:57 +0100
